package com.gcsc.connection.service.repository;

import com.gcsc.connection.service.entity.SnpServiceApiSpec;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

public interface SnpServiceApiSpecRepository extends JpaRepository<SnpServiceApiSpec, Long> {

    Optional<SnpServiceApiSpec> findByApiApiId(Long apiId);

    void deleteByApiApiId(Long apiId);
}
